Package com.microblink.blinkid.metadata

# Class MetadataCallbacks

java.lang.Object
com.microblink.blinkid.metadata.MetadataCallbacks

public final class MetadataCallbacks extends Object
Class that contains all possible metadata callbacks that can observe recognition process.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataCallbacks()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DebugImageCallback`
  `getDebugImageCallback()`
  Callback that will be invoked when recognition process wishes to display a debug image.
  `DebugTextCallback`
  `getDebugTextCallback()`
  Callback that will be invoked when debug text information gets available.
  `FailedDetectionCallback`
  `getFailedDetectionCallback()`
  Callback that will be invoked when all detections in `Recognizer` See `FailedDetectionCallback` for more information.
  `FirstSideRecognitionCallback`
  `getFirstSideRecognitionCallback()`
  Callback that will be invoked when first side recognition has completed.
  `GlareCallback`
  `getGlareCallback()`
  Callback that will be invoked when glare detection has completed.
  `OcrCallback`
  `getOcrCallback()`
  Callback that will be invoked with displayable OCR result obtained during recognition process.
  `PointsDetectionCallback`
  `getPointsDetectionCallback()`
  A callback that will be invoked when `DisplayablePointsDetection` gets available.
  `QuadDetectionCallback`
  `getQuadDetectionCallback()`
  A callback that will be invoked when `DisplayableQuadDetection` gets available.
  `void`
  `setDebugImageCallback(DebugImageCallback debugImageCallback)`
  Callback that will be invoked when recognition process wishes to display a debug image.
  `void`
  `setDebugTextCallback(DebugTextCallback debugTextCallback)`
  Callback that will be invoked when debug text information gets available.
  `void`
  `setFailedDetectionCallback(FailedDetectionCallback failedDetectionCallback)`
  Callback that will be invoked when all detections in `Recognizer` See `FailedDetectionCallback` for more information.
  `void`
  `setFirstSideRecognitionCallback(FirstSideRecognitionCallback firstSideRecognitionCallback)`
  Callback that will be invoked when first side recognition has completed.
  `void`
  `setGlareCallback(GlareCallback glareCallback)`
  Callback that will be invoked when glare detection has completed.
  `void`
  `setOcrCallback(OcrCallback ocrCallback)`
  Callback that will be invoked with displayable OCR result obtained during recognition process.
  `void`
  `setPointsDetectionCallback(PointsDetectionCallback pointsDetectionCallback)`
  A callback that will be invoked when `DisplayablePointsDetection` gets available.
  `void`
  `setQuadDetectionCallback(QuadDetectionCallback quadDetectionCallback)`
  A callback that will be invoked when `DisplayableQuadDetection` gets available.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadataCallbacks

    public MetadataCallbacks()

- ## Method Details

  - ### setOcrCallback

    public void setOcrCallback(@Nullable OcrCallback ocrCallback)
    Callback that will be invoked with displayable OCR result obtained during recognition process. See `OcrCallback` for more information.

  - ### getOcrCallback

    @Nullable public OcrCallback getOcrCallback()
    Callback that will be invoked with displayable OCR result obtained during recognition process. See `OcrCallback` for more information.

  - ### setFirstSideRecognitionCallback

    public void setFirstSideRecognitionCallback(@Nullable FirstSideRecognitionCallback firstSideRecognitionCallback)
    Callback that will be invoked when first side recognition has completed. See `FirstSideRecognitionCallback` for more information.

  - ### getFirstSideRecognitionCallback

    @Nullable public FirstSideRecognitionCallback getFirstSideRecognitionCallback()
    Callback that will be invoked when first side recognition has completed. See `FirstSideRecognitionCallback` for more information.

  - ### setGlareCallback

    public void setGlareCallback(@Nullable GlareCallback glareCallback)
    Callback that will be invoked when glare detection has completed. See `GlareCallback` for more information.

  - ### getGlareCallback

    @Nullable public GlareCallback getGlareCallback()
    Callback that will be invoked when glare detection has completed. See `GlareCallback` for more information.

  - ### setDebugImageCallback

    public void setDebugImageCallback(@Nullable DebugImageCallback debugImageCallback)
    Callback that will be invoked when recognition process wishes to display a debug image. See `DebugImageCallback` for more information.

  - ### getDebugImageCallback

    @Nullable public DebugImageCallback getDebugImageCallback()
    Callback that will be invoked when recognition process wishes to display a debug image. See `DebugImageCallback` for more information.

  - ### setDebugTextCallback

    public void setDebugTextCallback(@Nullable DebugTextCallback debugTextCallback)
    Callback that will be invoked when debug text information gets available. See `DebugTextCallback` for more information.

  - ### getDebugTextCallback

    @Nullable public DebugTextCallback getDebugTextCallback()
    Callback that will be invoked when debug text information gets available. See `DebugTextCallback` for more information.

  - ### setQuadDetectionCallback

    public void setQuadDetectionCallback(@Nullable QuadDetectionCallback quadDetectionCallback)
    A callback that will be invoked when `DisplayableQuadDetection` gets available. See `QuadDetectionCallback` for more information.

  - ### getQuadDetectionCallback

    @Nullable public QuadDetectionCallback getQuadDetectionCallback()
    A callback that will be invoked when `DisplayableQuadDetection` gets available. See `QuadDetectionCallback` for more information.

  - ### setPointsDetectionCallback

    public void setPointsDetectionCallback(@Nullable PointsDetectionCallback pointsDetectionCallback)
    A callback that will be invoked when `DisplayablePointsDetection` gets available. See `PointsDetectionCallback` for more information.

  - ### getPointsDetectionCallback

    @Nullable public PointsDetectionCallback getPointsDetectionCallback()
    A callback that will be invoked when `DisplayablePointsDetection` gets available. See `PointsDetectionCallback` for more information.

  - ### setFailedDetectionCallback

    public void setFailedDetectionCallback(@Nullable FailedDetectionCallback failedDetectionCallback)
    Callback that will be invoked when all detections in `Recognizer` See `FailedDetectionCallback` for more information.

  - ### getFailedDetectionCallback

    @Nullable public FailedDetectionCallback getFailedDetectionCallback()
    Callback that will be invoked when all detections in `Recognizer` See `FailedDetectionCallback` for more information.